std::is_placeholder< _Tp >(3cxx)

NAME
std::is_placeholder< _Tp > - Determines if the given type _Tp is a placeholder in a bind() expression and, if so, which placeholder it is.

SYNOPSIS

#include <functional>

Inherits std::integral_constant< int, 0 >.

  Public Types

typedef integral_constant< int, __v > type
typedef int value_type

  Public Member Functions

constexpr operator value_type () const noexcept
constexpr value_type operator() () const noexcept

  Static Public Attributes

static constexpr int value

Detailed Description

  template<typename _Tp>
struct std::is_placeholder< _Tp >"Determines if the given type _Tp is a placeholder in a bind() expression and, if so, which placeholder it is.

C++11 [func.bind.isplace].

Definition at line 185 of file functional.

Member Typedef Documentation

  typedef integral_constant<int , __v> std::integral_constant< int , __v >::type [inherited]

Definition at line 61 of file type_traits.

  typedef int std::integral_constant< int , __v >::value_type [inherited]

Definition at line 60 of file type_traits.

Member Function Documentation

  constexpr std::integral_constant< int , __v >::operator value_type () const [inline], [constexpr], [noexcept], [inherited]

Definition at line 62 of file type_traits.

  constexpr value_type std::integral_constant< int , __v >::operator() () const [inline], [constexpr], [noexcept], [inherited]

Definition at line 67 of file type_traits.

Member Data Documentation

  constexpr int std::integral_constant< int , __v >::value [static], [constexpr], [inherited]

Definition at line 59 of file type_traits.

Author

Generated automatically by Doxygen for libstdc++ from the source code.